## freebsd-utils 10.1~svn273304

=== src/bin/chflags/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	chflags

.include <bsd.prog.mk>
