=== src/bin/kenv/Makefile ===
# $FreeBSD$

PROG=	kenv

.include <bsd.prog.mk>
