=== src/sbin/ccdconfig/Makefile ===
# $FreeBSD$

PROG=	ccdconfig
MAN=	ccdconfig.8

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>
