=== src/sbin/devfs/Makefile ===
# $FreeBSD$

PROG=	devfs
SRCS=	devfs.c rule.c
MAN=	devfs.8

.include <bsd.prog.mk>
