=== src/sbin/dumpon/Makefile ===
# $FreeBSD$

PROG=	dumpon
MAN=	dumpon.8

.include <bsd.prog.mk>
