=== debian/changelog ===
freebsd-utils (10.1~svn273304-1) unstable; urgency=medium

  [ Petr Salinger ]
  * Build-Depend on freebsd-mk >= 10.0-5 for MK_HYPERV

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC3~
  * Refresh patches: (with unexpanded revision tags;  a/ b/ paths;  no
    Index field;  no 'C function' context, not applicable here)
    - ppp_macros.diff
    - 035_nfs.diff
    - makefiles.diff
  * Delete patch mk_tests.diff: freebsd-mk now provides MK_TESTS
  * No longer try to set MK_TESTS in debian/rules;  use WITHOUT_TESTS
    instead
  * Set kern.ipc.shmall=32768 in /etc/sysctl.conf, as the kernel
    default is too low for some Qt applications (Closes: #763706)
  * netstat: work around a kfreebsd 9->10 ABI break;  allows tcp sockets
    to be shown again when running on kfreebsd-9 (Closes: 761418)

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Oct 2014 22:18:48 +0100

freebsd-utils (10.1~svn272167-1) unstable; urgency=low

  * Add a version number for the experimental package that is actually
    larger than unstable's

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 23:02:09 -0700

freebsd-utils (10.1~svn271687-2) experimental; urgency=medium

  * Actually upload to experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 21:31:53 -0700

freebsd-utils (10.1~svn271687-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-BETA3
  * Drop Breaks: on old kernel versions, which can't have the
    intended effect anyway until reboot (Closes: #756464)
  * Add myself to uploaders
  * In get-orig-source, svn export with --ignore-keywords so that                                                                                            
    revision tags do not fuzzy the patches 

  [ Christoph Egger ]
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 17 Oct 2014 16:21:26 +0000

freebsd-utils (10.1~svn271687+really10.1~svn271687-1) experimental; urgency=medium

  * Add a version number for the experimental package that is actually
    larger than unstable's

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 23:02:09 -0700

freebsd-utils (10.0+ds1-1) unstable; urgency=low

  [ Mats Erik Andersson ]
  * Fetch pf.conf(5) and pf.os(5) from new location.

  [ Robert Millan ]
  * Remove ifmediareq kludges. B-D on libc0.1-dev >= 2.18-2 instead.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 23:42:34 +0100

freebsd-utils (10.0-3) experimental; urgency=low

  * Add 'sysctl -p' support. Replace /sbin/sysctl wrapper script with
    actual binary.
  * Add /usr/{bin,sbin} to devd PATH (needed for /usr/bin/logger).
  * Disable parallel builds until switch to bmake (for some reason
    DPSRCS in kdump is ignored by fmake).

 -- Robert Millan <rmh@debian.org>  Mon, 17 Feb 2014 16:47:54 +0100

freebsd-utils (10.0-2) experimental; urgency=low

  * Handle USB keyboard attach/detach events.
  * Remove Build-Conflicts on libc0.1-dev-i386 (not needed anymore since
    kdump is now using headers from kfreebsd-headers-10.0-1).
  * Remove kludge that allowed auto-detected macros to be missing when
    building kdump. (Closes: #736202)
  * Consistently use the new SIOCAIFADDR ABI in ifconfig. (Closes: #736238)

 -- Robert Millan <rmh@debian.org>  Mon, 03 Feb 2014 23:25:03 +0100

freebsd-utils (10.0-1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Remove atacontrol(8).

  [ Robert Millan ]
  * Add /etc/sysctl.conf. It used to be provided by procps, but now it
    isn't. Its content is kernel-specific anyway, so let's just use the
    FreeBSD version.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Tue, 21 Jan 2014 00:24:13 +0100

freebsd-utils (9.2+ds1-1) unstable; urgency=low

  * Drop freebsd-geom transitional package.
  * Fetch source code securely (https) in get-orig-source.
  * Split udeb build from normal build, using a separate objdir by means
    of MAKEOBJDIRPREFIX. This allows us to:
    - Optimize udeb build for size (-Os).
    - Build udeb with -DWITHOUT_IPX_SUPPORT (for ifconfig).
    - Restrict -DWITHOUT_JAIL only to udeb build. This effectively brings
      back jail support to ifconfig.
    - As a side requirement, source code is moved to src/ directory to
      prevent dh_install from mistakenly installing source directories as
      if they were executable files.
  * Leave -lbsdxml untouched (latest freebsd-glue supports it).
  * netstat_numeric_default.diff: Honor -n flag when listing the default
    route (for compatibility with Linux route(8)).
  * route_list.diff: When route is invoked with no arguments, fallback
    to "netstat -r" to list existing routes (for compatibility with
    Linux route(8)).

 -- Robert Millan <rmh@debian.org>  Wed, 25 Dec 2013 18:46:00 +0100

freebsd-utils (9.2-2) unstable; urgency=low

  [ Robert Millan ]
  * Simplify 031_savecore.diff by using zopen() from freebsd-glue.
  * Enable ifmac.c, iffib.c and ifpfsync.c in ifconfig.
    (Closes: #728374)
  * Remove cons25 transition kludge (was only needed for squeeze->wheezy
    upgrades).
  * Fix permissions for /dev/dri/card* devices.
  * Remove a few gratuitous library dependencies.
  * Misc patchset cleanup.
  * Remove kludge in jail(8). Use libutil-freebsd-dev to satisfy
    login_cap.h dependency instead.
  * Require freebsd-glue >= 0.2.4 to ensure trimdomain from libutil is
    used (rather than the static version in freebsd-glue << 0.2.4).
  * Remove kludge in ppp(8) to use liblockdev. Use libutil directly like
    upstream does.  (Closes: 728019)

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 13:34:11 +0100

freebsd-utils (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Bump B-D on freebsd-glue and libcam-dev.

  [ Robert Millan ]
  * Misc adjustments for freebsd-glue 0.1.0.

