=== src/sbin/geom/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PROG=	geom
 SRCS=	geom.c geom_label.c geom_part.c subr.c
-NO_MAN=
+MAN=
 
 WARNS?=	2
 CFLAGS+=-I${.CURDIR} -I${.CURDIR}/core -DSTATIC_GEOM_CLASSES
