=== src/share/syscons/Makefile ===
# $FreeBSD$

SUBDIR= fonts keymaps scrnmaps
SUBDIR_PARALLEL=

.include <bsd.subdir.mk>
