=== src/usr.sbin/jexec/Makefile ===
# $FreeBSD$

PROG=	jexec
MAN=	jexec.8
DPADD=	${LIBJAIL} ${LIBUTIL}
LDADD=	-ljail -lutil

.include <bsd.prog.mk>
