=== src/sbin/mdconfig/tests/Makefile ===
# $FreeBSD$

TESTSDIR=	${TESTSBASE}/sbin/mdconfig

ATF_TESTS_SH=	mdconfig_test


TEST_METADATA.mdconfig_test+=	required_user="root"

.include <bsd.test.mk>
