=== src/usr.sbin/acpi/acpiconf/Makefile ===
# $Id: Makefile,v 1.2 2000/07/14 18:16:25 iwasaki Exp $
# $FreeBSD$

PROG=	acpiconf
MAN=	acpiconf.8
WARNS?=	3

.include <bsd.prog.mk>
