=== debian/changelog ===
freebsd-utils (10.3~svn296373-4) unstable; urgency=medium

  * geli_openssl_1_1.diff: Upstream patch to fix FTBFS with OpenSSL 1.1
  * nlist.h: Bundle patched copy to workaround upstream libbsd bug

 -- James Clarke <jrtc27@debian.org>  Sun, 03 Feb 2019 00:17:04 +0000

freebsd-utils (10.3~svn296373-3) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Update my email address in Uploaders
  * Bump Build-Depends: libcam-dev (>= 10.3~) for new scsi_da.h
    functions
  * Update Vcs-Browser and Vcs-Git fields

  [ James Clarke ]
  * Fix FTBFS with GCC 6.1.0 and later
  * Add myself to Uploaders

 -- James Clarke <jrtc27@debian.org>  Sat, 02 Feb 2019 21:56:57 +0000

freebsd-utils (10.3~svn296373-2) unstable; urgency=medium

  * Upload to unstable
  * Now using debhelper compat v9
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Link against the PIC version of C runtime, so that PIE can be
    enabled.
    - pie.diff
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Use the proper host architecture compiler

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 07 May 2016 00:30:27 +0100

freebsd-utils (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC3
  * Refresh patches:
    - 017_sysctl.diff
    - 022_devd.diff
    - 026_kdump.diff
    - 035_nfs.diff
    - makefiles.diff
    - netstat_maddrs.diff
    - netstat_oqdrops.diff
    - fstype_alias.diff
    - rpc.lockd-startup-fix.diff
  * Use XZ to compress orig source tarball
  * Make get-orig-source tarball reproducible
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Bump Build-Depends: kfreebsd-kernel-headers to (>= 10.3~2~)
  * Bump Build-Depends: libutil-freebsd-dev to (>= 10.3~svn296373-4~)
    for kinfo_getvmobject
  * Bump Build-Depends: kfreebsd-headers-10.1-0 to 10.3-0
  * Bump Build-Depends: libc0.1-dev (>= 2.22-8~) for new if.h structs

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 11:16:07 +0100

freebsd-utils (10.1~svn273304+ds1-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Upload to unstable
  * Support +ds source_version suffix in svn_revision

  [ Hideki Yamane ]
  * Add jls(8) and jexec(8) tools for jails administration
    (Closes: #806562)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 08 Dec 2015 18:52:10 +0000

freebsd-utils (10.1~svn273304-2) experimental; urgency=medium

  * fstype_alias.diff:  accept some Linux-style names for `mount -t`
    filesystem types:
    - ext2 for ext2fs
    - ext3 for ext3fs
    - ext4 for ext4fs
    - cifs for smbfs

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 26 Oct 2014 18:50:21 +0000
