=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Aurelien Jarno <aurel32@debian.org>,
  Robert Millan <rmh@debian.org>,
  Christoph Egger <christoph@debian.org>,
- Steven Chamberlain <steven@pyro.eu.org>,
-Build-Depends: debhelper (>= 7), po-debconf, sharutils,
+ Steven Chamberlain <stevenc@debian.org>,
+ James Clarke <jrtc27@debian.org>,
+Build-Depends: debhelper (>= 9), po-debconf, sharutils,
+ dpkg-dev (>= 1.16.1.1),
  flex | flex-old,
  freebsd-buildutils (>= 9.0-8~),
  freebsd-mk (>= 10.0-5~),
  freebsd-glue (>= 0.2.17~),
- kfreebsd-kernel-headers (>= 10.1~2),
+ kfreebsd-kernel-headers (>= 10.3~2~),
 # for kdump
- kfreebsd-headers-10.1-0,
- libc0.1-dev (>= 2.18-2~),
+ kfreebsd-headers-10.3-0,
+ libc0.1-dev (>= 2.22-8~),
  libbsd-dev (>= 0.3.0),
 # zlib1g-dev: savecore
  zlib1g-dev,
@@ -34,7 +36,7 @@
 # libsbuf-dev: ifconfig, mdconfig, geom
  libsbuf-dev (>= 8.2-2),
 # libcam-dev: camcontrol
- libcam-dev (>= 10.1~),
+ libcam-dev (>= 10.3~),
 # libedit-dev: pppctl
  libedit-dev,
 # libexpat1-dev: ifconfig, geom
@@ -46,10 +48,10 @@
 # libssl-dev: geom
  libssl-dev,
 # jail, ppp
- libutil-freebsd-dev,
-Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-utils/
-Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-utils/
-Standards-Version: 3.9.2
+ libutil-freebsd-dev (>= 10.3~svn296373-4~),
+Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/bsd-team/freebsd-utils
+Vcs-Git: https://salsa.debian.org/bsd-team/freebsd-utils.git
 
 Package: freebsd-utils
 Priority: required
