=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,42 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g -pipe -fPIC -D_GNU_SOURCE \
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)[+-].*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+major		:= $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
+
+include /usr/share/dpkg/architecture.mk
+
+# Determine host architecture compiler
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+ifeq ($(origin CXX),default)
+CXX := $(DEB_HOST_GNU_TYPE)-g++
+endif
+
+# Use hardening flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Pre-define CFLAGS, for hardening, debug and optimisation level
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+EXTRA_CFLAGS = \
+	-D_GNU_SOURCE -pipe -Wall \
+	-Werror=implicit-function-declaration \
+	-I$(CURDIR)/debian/local/include -I$(CURDIR)/src/include \
+	-isystem /usr/include/freebsd \
 	-isystem /usr/include/tirpc \
-	-Werror=implicit-function-declaration \
-	-isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include -I$(CURDIR)/src/include -lbsd \
+	-fPIC \
+	-lbsd \
+	$(CPPFLAGS) \
 	$(NULL)
-CXXFLAGS = $(CFLAGS)
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS += -O2
-	CXXFLAGS += -O2
-endif
+CFLAGS   += $(EXTRA_CFLAGS)
+CXXFLAGS += $(EXTRA_CFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -29,42 +51,43 @@
 #	BSD_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
-tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
-svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
-version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
-major           := $(shell echo $(version) | sed -e 's/\..*//g')
-revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
-
-SVN_BASE	:= https://svn0.us-west.freebsd.org/base
+SVN_BASE	:= https://svn.freebsd.org/base
 #SVN		:= $(SVN_BASE)/release/$(version).0
 SVN		:= $(SVN_BASE)/releng/$(version)
 #SVN		:= $(SVN_BASE)/stable/$(major)
-#SVN		:= $(SVN_BASE)/base/head
+#SVN		:= $(SVN_BASE)/head
 
 SOURCE = freebsd-utils
 ORIGDIR = $(SOURCE)-$(tar_version)
-TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.xz
+SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
+PMAKE_COMMON = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	NO_WERROR=1 NOGCCERROR=1 \
+	NOSHARED=NO NO_SHARED=NO \
+	make -C src $(PMAKE_FLAGS) \
+	CC=$(CC) \
+	CXX=$(CXX) \
+	$(NULL)
 PMAKE = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	CFLAGS="$(CFLAGS)" \
+	CXXFLAGS="$(CXXFLAGS)" \
+	DESTDIR="$(DESTDIR)" \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
-	CFLAGS="$(CFLAGS)" \
-	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO WITHOUT_TESTS=yes \
-	DESTDIR="$(DESTDIR)" \
-	make -C src $(PMAKE_FLAGS)
+	WITHOUT_TESTS=yes \
+	$(PMAKE_COMMON)
 PMAKE_UDEB = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	CFLAGS="$(CFLAGS) -Os" \
+	CXXFLAGS="$(CXXFLAGS) -Os" \
+	DESTDIR="$(DESTDIR)-udeb" \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-udeb \
-	CFLAGS="$(CFLAGS) -Os" \
-	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
-	DESTDIR="$(DESTDIR)-udeb" \
-	make -C src $(PMAKE_FLAGS) \
+	$(PMAKE_COMMON) \
 	-DRESCUE=yes \
+	-DWITHOUT_IPX_SUPPORT \
 	-DWITHOUT_JAIL \
-	-DWITHOUT_IPX_SUPPORT \
 	$(NULL)
 
 # for ppp
@@ -88,6 +111,7 @@
 	rm -rf $(ORIGDIR)
 	mkdir -p \
 		$(ORIGDIR)/src/sys/kern \
+		$(ORIGDIR)/src/sys/amd64/linux \
 		$(ORIGDIR)/src/sys/amd64/linux32 \
 		$(ORIGDIR)/src/sys/i386/linux \
 		$(ORIGDIR)/src/sys/dev/usb \
@@ -109,10 +133,12 @@
 		usr.bin/ktrace \
 		sys/kern/syscalls.c \
 		sys/kern/makesyscalls.sh \
+		sys/amd64/linux/syscalls.master \
 		sys/amd64/linux32/syscalls.master \
 		sys/i386/linux/syscalls.master \
 		\
 		 usr.sbin/jail bin/chflags \
+		 usr.sbin/jexec usr.sbin/jls \
 		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
 		 usr.sbin/acpi/acpiconf \
 		usr.sbin/acpi/Makefile \
@@ -150,7 +176,16 @@
 	; do \
 	    svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i || exit ; \
 	done
-	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
+	# Clamp timestamps to be no newer than last changelog entry, see
+	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
+	find $(ORIGDIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
+	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+	# Create tarball with files sorted in a stable order, see
+	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
+	find $(ORIGDIR) -print0 | LC_ALL=C sort -z \
+	 | tar --null --no-recursion --files-from - \
+	    --numeric-owner --owner 0 --group 0 \
+	    -cJf ../$(TARNAME)
 	rm -rf $(ORIGDIR)
 
 build-arch: build-deb build-udeb
@@ -240,8 +275,3 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
